## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.TypedAttributeIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.TypedAttributeIterator

public final class DTMDefaultBaseIterators.TypedAttributeIterator
extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns attribute nodes of a given type

Constructor Summary
`DTMDefaultBaseIterators.TypedAttributeIterator(int nodeType)` Constructor TypedAttributeIterator

Method Summary
`int` `next()` Get the next node in the iteration.
`DTMAxisIterator` `setStartNode(int node)` Set start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.TypedAttributeIterator

    public DTMDefaultBaseIterators.TypedAttributeIterator(int nodeType)

  Constructor TypedAttributeIterator
  Parameters:
    `nodeType` - The extended type ID that is requested.

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.

Copyright © 2006 Apache XML Project. All Rights Reserved.